{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/table-display.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('script/pagination.js') }}"></script>
{% endblock %}

{% block title %}Lieu index{% endblock %}

{% block body %}
    <h1>Lieu index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Rue</th>
                <th>Latitude</th>
                <th>Longitude</th>
            </tr>
        </thead>
        <tbody>
        {% for lieu in lieus %}
            <tr class="table-row">
                <td>{{ lieu.id }}</td>
                <td>{{ lieu.nom }}</td>
                <td>{{ lieu.rue }}</td>
                <td>{{ lieu.latitude | round(4) }}</td>
                <td>{{ lieu.longitude | round(4) }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <p id="info-filtre"></p>
    <div id="pagination">
    </div>

    <a class="btn_link" href="{{ path('app_lieu_new') }}">Nouveau</a>
{% endblock %}
